#!/bin/bash

accelerate launch --config_file configs/accelerate_configs/deepspeed_zero1.yaml evaluation.py \
    --dataset_name textvqa \
    --use_peft \
    --peft_type MOELORA \
    --model_name_or_path Qwen/Qwen2.5-Omni-3B \
    --lora_target_modules .*model\.layers.*proj\|.*merger.*0\|.*merger.*1 \
    --per_device_train_batch_size 3 \
    --per_device_eval_batch_size 2 \
    --gradient_accumulation_steps 2 \
    --output_dir ./checkpoint/qwen2_5omni_moelora/ \
    --bf16 \
    --torch_dtype bfloat16
# --eval_strategy epoch \
