import evaluate

# Bleu_1, Bleu_2, Bleu_3, Bleu_4, METEOR, ROUGE_L, and CIDEr
example = {
    "generated": "The cat sat on the mat.",
    "target": "The cat is sitting on the mat.",
    "original": "The cat is sitting on the mat.",
}
evaluate_bleu = evaluate.load("bleu")
evaluate_rouge = evaluate.load("rouge")
evaluate_meteor = evaluate.load("meteor")

evaluate_bleu.add_batch(
    predictions=[example["generated"]],
    references=[[example["target"]]],
)
evaluate_rouge.add_batch(
    predictions=[example["generated"]],
    references=[[example["target"]]],
)
evaluate_meteor.add_batch(
    predictions=[example["generated"]],
    references=[[example["target"]]],
)

bleu = evaluate_bleu.compute()
rouge = evaluate_rouge.compute()
meteor = evaluate_meteor.compute()

comprehensive_results = sum(bleu['precisions']) + rouge['rougeL'] + meteor['meteor']
print("Comprehensive Results:", comprehensive_results/6)